# Yamka Terms of Service


## Introduction
This document ("Terms", "Terms of Service") describes the legal relationship an End User ("you", "the user", "individual") and Yamka ("us", "we", "our", "Service", "Platform"), located at [yamka.app](https://yamka.app), have. We reserve the right to restrict your access to our Service if a violation of these Terms is found, and you reserve the right to file a complaint if you find us guilty of violating these Terms.


## Updates to this document
We reserve the right to update these Terms of Service, which we may do for reasons that include, but are not limited to, complying with changes to the law or reflecting enhancements to our Platform. If the changes affect your usage of Yamka and/or your legal rights, we’ll notify you no less than seven days before the changes take effect. Unless stated otherwise, your continued use of the Service after said modifications take effect will constitute your acceptance of and agreement to those changes. If you object to the changes, your recourse shall be to cease using the Service.

These Terms were last updated on: **May 29th 2021**\
Changes will take effect on: **May 30th 2021**


## Your responsibilities
#### Account usage
You agree that any action done on behalf of your Platform account is permitted by you, and that you take responsibility for any such action.

#### Age
Yamka stores data that could be used to identify an individual, such as their E-Mail address and a unique number associated with each user account. As such, you must have reached the age of digital consent in your area to create an account.

#### E-Mail usage
We may send short non-frequent E-Mail messages to the address associated with your Platform account for the following purposes:
  - confirming your ownership of the address;
  - informing you of any vulnerabilities in the Service that might have affected you;
  - other similar messages with no malicious intent.

#### Data exchange
We are not responsible for any charges that may be incured by an Internet Service Provider when using our Services.

#### Illegal activities
You may not use the Service to organize, participate in and/or take part in any activities considered illegal in your current country of residence, the Republic of Finland and/or the European Union including, but not limited to, violation of intellectual property.

#### Harm to the Service
You may not use any automatic and/or manual systems to cause harm to, slow down or otherwise affect our infrastructure and/or other Users' experience when using our Service including, but not limited to:
  - bypassing rate limits;
  - bypassing Service access restrictions imposed as a result of a found violation of these Terms;
  - exploiting programmatic vulnerabilities to gain unauthorized access to any Service data and/or its parts;
  - causing stability issues.

#### Reporting vulnerabilities
If you discover a vulnerability, your recourse shall be to disclose said vulnerability according to our most recent Security Policy.

#### Emergency situations
The Service may not be used for purposes where data loss, service outage and other types of errors in communication can lead to harm to or destruction and/or death of property and/or individuals.


## Your rights
#### Support
You may contact our support team at any time regarding any issues, including any questions about these Terms and/or other legal documents associated with the Service.
#### Content
You retain full intellectual property ownership to any original data you upload to our Platform, whether in file, message, or other forms, but agree to provide the following rights to us indefinitely:
  - the right to display said data to you;
  - the right to display said data to other users that have access to the Service channel said data was sent to;
  - the right to remove said data from our storage systems per your request.

We reserve the right to remove any data from our storage systems upon receiving a valid requirement to remove an original work from the intellectual property owner of said work.
#### Data
You may file a request to send you data about you we may be in possession of, and agree to wait for no longer than 30 days for said data to be packaged. Please refer to the latest Privacy Policy to learn the exact procedure of requesting your Data Package.


## Our responsibilities
#### Data storage
We shall secure our systems to prevent unauthorized access to sensitive user data.

#### Data disclosure
We must not disclose any personal data, for a real monetary value or not, to any 3rd parties including, but not limited to, advertising companies.


## Our rights
#### Trademarks
We reserve all rights to the Yamka trademark, including, but not limited to, its logo.

#### Updates
The Service and related software solutions change and improve constantly. We are trying to be as backwards-compatible with older clients as possible, but we reserve the right to drop suppport for any non-latest versions.

#### Content
We reserve the following rights to user-created original content uploaded to our platform indefinitely:
  - the right to display said content to the uploader;
  - the right to display said content to other users that have access to the Service channel said content was sent to;
  - the right to remove said content from our storage systems per the owner's request.

#### Depersonalized statistical data
We reserve the right to collect, process, aggregate and disclose depersonalized and generalized statistical data such as:
  - the total number of registered users;
  - the total number of user accounts created on a particular day;
  - the total amount of disk space used up by user-uploaded content;
  - other such data.

#### Liability and warranty
Software and other products developed and/or maintained by Yamka and/or 3rd-party contributors are provided "as is", without any warranty and/or guarantees, expressed or implied. Under no circumstances should any legal entity involved in the development and/or maintenance of any software and/or projects distibuted on behalf of Yamka, be liable for any harm and/or damage done to any property, intellectual and/or physical, and/or lives, to the extent prohibited by law.
